import codeanticode.syphon.*; //syphon library
SyphonServer server;
import netP5.*; //OSC library
import oscP5.*;
OscP5 oscP5;
NetAddress myRemoteLocation;
int qual = 20;
int X0 = 250;
int Y0 = 500;
int X1 = 500; //init of mask
int Y1 = 1000;
int X2 = 1500;
int Y2 = 800;
int X3 = 1500;
int Y3 = 500;
int X4 = 1300;
int Y4 = 200;
int X5 = 0;
int Y5 = 150;
void settings() {
  size(1920 ,1080, P3D); //set syphon to HD
  PJOGL.profile=1;
}

void setup() {
  oscP5 = new OscP5(this, 12000); // receiving OSC port
  myRemoteLocation = new NetAddress("127.0.0.1", 1234); //sending OSC port and IP
  // Create syhpon server to send frames out.
  server = new SyphonServer(this, "Processing Syphon");
}

void draw() {
  background(0, 0); //black background with alpha mask
  fill(255, 255); //white shape with alpha mask
  beginShape(); //draw a quadrangle vertex
  bezierDetail(qual);
  vertex(X0,Y0);
bezierVertex(X1, Y1, X2, Y2, X3, Y3);
bezierVertex(X4, Y4, X5, Y5, X0, Y0);
endShape(CLOSE);
  server.sendScreen(); //send the screen to syphon
}
//OSC reception
void oscEvent(OscMessage theOscMessage) {
   if (theOscMessage.checkAddrPattern("/X0")==true) {
    X0 = theOscMessage.get(0).intValue();  
  }
   if (theOscMessage.checkAddrPattern("/Y0")==true) {
    Y0 = theOscMessage.get(0).intValue();  
  }
  if (theOscMessage.checkAddrPattern("/X1")==true) {
    X1 = theOscMessage.get(0).intValue();  
  }
  if (theOscMessage.checkAddrPattern("/X2")==true) {
    X2 = theOscMessage.get(0).intValue();  
  }
  if (theOscMessage.checkAddrPattern("/X3")==true) {
    X3 = theOscMessage.get(0).intValue();  
  }
  if (theOscMessage.checkAddrPattern("/X4")==true) {
    X4 = theOscMessage.get(0).intValue();  
  }
  if (theOscMessage.checkAddrPattern("/Y1")==true) {
    Y1 = theOscMessage.get(0).intValue();  
  }
  if (theOscMessage.checkAddrPattern("/Y2")==true) {
    Y2 = theOscMessage.get(0).intValue();  
  }
  if (theOscMessage.checkAddrPattern("/Y3")==true) {
    Y3 = theOscMessage.get(0).intValue();  
  }
  if (theOscMessage.checkAddrPattern("/Y4")==true) {
    Y4 = theOscMessage.get(0).intValue();  
  }
   if (theOscMessage.checkAddrPattern("/X5")==true) {
    X5 = theOscMessage.get(0).intValue();  
  }
   if (theOscMessage.checkAddrPattern("/Y5")==true) {
    Y5 = theOscMessage.get(0).intValue();  
  }
   if (theOscMessage.checkAddrPattern("/qual")==true) {
    qual = theOscMessage.get(0).intValue();  
  }
} 